{% extends 'base.html.twig' %}
{% block title %}Accounts{% endblock %}
{% block page %}Accounts{% endblock %}
{% block body %}
<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-primary">
                        <h4 class="card-title ">Accounts</h4>
                        <p class="card-category">List of accounts</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-striped">
                            <table class="table">
                                <thead class=" text-primary">
                                    <th>ID</th>
                                    <th>Organization</th>
                                    <th>Place context</th>
                                    <th>E-mail</th>
                                    <th>Username</th>
                                    <th>Firstname</th>
                                    <th>Lastname</th>
                                    <th>Account type</th>
                                    <th>Is verified</th>
                                    <th class="text-center">Actions</th>
                                </thead>
                                <tbody>
                                {% for account in accounts %}
                                    <tr>
                                        <td>{{ account.id }}</td>
                                        <td>{{ account.organizationName }}</td>
                                        <td>{{ account.placeContextName ?? '-' }} </td>
                                        <td>{{ account.email }}</td>
                                        <td>{{ account.username }}</td>
                                        <td>{{ account.firstname }}</td>
                                        <td>{{ account.lastname }}</td>
                                        <td>{{ account.accountType }}</td>
                                        <td class="text-center"><span class="{{ account.isVerified  ? 'is-active' : 'is-not-active' }}"></span></td>
                                        <td class="text-center">
                                            <a class="account-edit" data-id="{{ account.id }}" href="#" data-toggle="modal" data-target="#modal">
{#                                            <a class="account-edit" href="{{ path('page_edit', {'id': page.id }) }}">#}
                                                <i class="material-icons">edit</i>
                                            </a>
{#                                            <a class="page-delete"#}
                                            <a class="account-delete" href="{{ path('admin_account_delete', {'id': account.id }) }}"
                                               onclick="return confirm('Are you sure you want to delete this account?')">
                                                <i class="material-icons">delete</i>
                                            </a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>{% endblock %}
{% block javascripts %}
    <script type="text/javascript">
        $(function() {
            const $modal = $('#modal');
            const $modalBody = $modal.find('.modal-body');
            const $modalTitle = $modal.find('.modal-title');
            $modalTitle.html('Account edit')
                $('.account-edit').on('click', function() {
                    event.preventDefault()
                    const id = $(event.currentTarget).data('id')
                    $.get('/admin/account/'+id+'/edit')
                        .done((response) => {
                            $modalBody.html(response)
                            $modal.modal('show')
                        })
                })
        });
    </script>
{% endblock %}
